package com.keao.edu.user.dto;

import com.keao.edu.user.entity.ExaminationBasic;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2020.06.27
 */
public class ExaminationBasicDto extends ExaminationBasic {

    @ApiModelProperty(value = "创建人名称")
    private String creatorName;

    @ApiModelProperty(value = "合作单位数量")
    private Integer organNum;

    @ApiModelProperty(value = "总报名人数")
    private Integer totalRegistrationStudentNum;

    @ApiModelProperty(value = "总缴费金额")
    private BigDecimal totalPaymentAmount;

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public Integer getOrganNum() {
        return organNum;
    }

    public void setOrganNum(Integer organNum) {
        this.organNum = organNum;
    }

    public Integer getTotalRegistrationStudentNum() {
        return totalRegistrationStudentNum;
    }

    public void setTotalRegistrationStudentNum(Integer totalRegistrationStudentNum) {
        this.totalRegistrationStudentNum = totalRegistrationStudentNum;
    }

    public BigDecimal getTotalPaymentAmount() {
        return totalPaymentAmount;
    }

    public void setTotalPaymentAmount(BigDecimal totalPaymentAmount) {
        this.totalPaymentAmount = totalPaymentAmount;
    }
}
